%define upstream_name    Time-y2038
%define upstream_version 20100403

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 24

Summary:	Use Time::y2038's gmtime and localtime everywhere
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(JSON)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Warn)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl-devel

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
On many computers, Perl's time functions will not work past the year 2038.
This is a design fault in the underlying C libraries Perl uses. Time::y2038
provides replacements for those functions which will work accurately +/1
142 million years.

This only imports the functions into your namespace. To replace it
everywhere, see the Time::y2038::Everywhere manpage.

Replaces the following functions:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Fri Dec 01 2023 tv <tv> 20100403.0.0-24.mga10
+ Revision: 2012432
- Rebuild for perl-5.38

* Thu Aug 04 2022 tv <tv> 20100403.0.0-23.mga9
+ Revision: 1875114
- Rebuild for perl-5.36

* Thu Mar 17 2022 umeabot <umeabot> 20100403.0.0-22.mga9
+ Revision: 1795325
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 20100403.0.0-21.mga8
+ Revision: 1607003
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 20100403.0.0-20.mga8
+ Revision: 1508407
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 20100403.0.0-19.mga7
+ Revision: 1293892
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 20100403.0.0-18.mga7
+ Revision: 1249897
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 20100403.0.0-17.mga7
+ Revision: 1167199
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 20100403.0.0-16.mga7
+ Revision: 1159107
- rebuild with perl-5.26.x

* Sun Jun 19 2016 pterjan <pterjan> 20100403.0.0-15.mga6
+ Revision: 1035358
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 20100403.0.0-14.mga6
+ Revision: 958138
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 20100403.0.0-13.mga6
+ Revision: 845389
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 20100403.0.0-12.mga6
+ Revision: 841404
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 20100403.0.0-11.mga5
+ Revision: 750813
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 20100403.0.0-10.mga5
+ Revision: 736107
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 20100403.0.0-9.mga5
+ Revision: 686713
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 20100403.0.0-8.mga5
+ Revision: 631819
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 20100403.0.0-7.mga4
+ Revision: 524564
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 20100403.0.0-6.mga4
+ Revision: 430981
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 20100403.0.0-5.mga3
+ Revision: 374370
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 20100403.0.0-4.mga3
+ Revision: 251271
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 20100403.0.0-3.mga2
+ Revision: 105071
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 20100403.0.0-2.mga1
+ Revision: 31385
- mageia rebuild
- cleaning spec file
- imported package perl-Time-y2038

